use strict;
use warnings;
use JSON::XS;
use Data::MessagePack;
use MIME::Base64 qw/encode_base64/;

my $string;
$string .= 'a' for (1..100);
my @array;
push @array , 1 for (1..100);
my %hash;
for my $count (1..100){ 
    $hash{"key_$count"} = $count; 
}

my %data = (
    string => $string,
    array  => \@array,
    hash   => \%hash
);

my $json     = JSON::XS::encode_json(\%data);
my $message_pack = Data::MessagePack->pack(\%data);
my $json_base_64          = encode_base64($json);
my $message_pack_base_64  = encode_base64($message_pack);

printf "json_length     : %d \n" , length($json_base_64);
printf "msg_pack_length : %d \n" , length($message_pack_base_64);

