use strict;
use warnings;

use Plack::Builder;
use File::RotateLogs;

use Fluct::Adsever;

my $adserver = Fluct::Adserver->new();
my $rotatelogs = File::RotateLogs->new(
    logfile =>
    '/var/log/adserver/%Y/%m/%d/%H/access_log',
    rotationtime => (60 * 60)
);

builder {
    enable 'AxsLog',
    combined => 1,
    response_time => 1,
    logger => sub {
        $rotatelogs->print(@_)
    };

    mount '/' => sub {
        $adserver->top(shift)
    },
    mount '/other' => sub{ ... },  # 別のエンドポイントの処理
};
